% !TEX root = ../main.tex

% name: shown in the glossary / index
% text: shown when referenced in the text

@index{index:backtracking,
	name={Backtracking},
	text={Backtracking},
}

@index{index:boolean,
	name={Boolean},
	text={Boolean},
}

@index{index:boolean-abstraction,
	name={abstraction},
	text={Boolean abstraction},
	parent={index:boolean},
}

@index{index:BCP,
	name={constraint propagation},
	text={Boolean constraint propagation},
	parent={index:boolean},
}

@index{index:cad,
	name={Cylindrical algebraic decomposition},
}

@index{index:cad:cylindricity,
	name={cylindricity},
	parent={index:cad},
}
@index{index:cad:delineability,
	name={delineability},
	parent={index:cad},
}
@index{index:cad:equational-constraints,
	name={Equational constraints},
}
@index{index:cad:infeasible-subsets,
	name={infeasible subsets},
	parent={index:cad},
}
@index{index:cad:lifting,
	name={lifting},
	parent={index:cad},
}
@index{index:cad:lifting-lazard,
	name={Lazard's lifting},
	parent={index:cad},
}
@index{index:cad:lifting-step,
	name={lifting step},
	parent={index:cad},
}
@index{index:cad:origins,
	name={origins},
	parent={index:cad},
}
@index{index:cad:projection,
	name={projection},
	parent={index:cad},
}
@index{index:cad:projection-step,
	name={projection step},
	parent={index:cad},
}
@index{index:cad:proof-system,
	name={proof system},
	parent={index:cad},
}
@index{index:cad:queue-ordering,
	name={queue ordering},
	parent={index:cad},
}
@index{index:cad:quantifier-elimination,
	name={Quantifier elimination},
}
@index{index:cad:resultant-rule,
	name={resultant rule},
	parent={index:cad},
}
@index{index:open-cad,
	name={open},
	parent={index:cad},
}

@index{index:cdcl,
	name={Conflict-driven clause learning},
}

@index{index:cdcl-state,
	name={\CDCL state},
	text={\CDCL state},
	parent={index:cdcl},
}

@index{index:cdcl:backtracking,
	name={backtracking},
	parent={index:cdcl},
}
@index{index:cdcl:watched-literal,
	name={watched literal scheme},
	parent={index:cdcl},
}
@index{index:cdcl:clause-learning,
	name={clause learning},
	parent={index:cdcl},
}
@index{index:cdcl:restarts,
	name={restarts},
	parent={index:cdcl},
}

@index{index:proof-system:completeness,
	name={completeness},
	parent={index:proof-system},
}

@index{index:conjunctive-normal-form,
	name={Conjunctive},
	text={Conjunctive normal form},
	parent={index:normal-form},
}

@index{index:constraint,
	name={Constraint},
	text={Constraint},
}

@index{index:extended-constraints,
	name={extended polynomial},
	parent={index:constraint},
}

@index{index:decision,
	name={Decision},
}

@index{index:decision-heuristic,
	name={heuristic},
	text={decision heuristic},
	parent={index:decision}
}

@index{index:decision-level,
	name={level},
	text={decision level},
	parent={index:decision}
}
@index{index:deduction,
	name={Deduction},
	text={Deduction},
}


@index{index:discriminant,
	name={Discriminant},
	text={Discriminant},
}

@index{index:dp-procedure,
	name={DP procedure},
	text={DP procedure},
}

@index{index:DPLL,
	name={\DPLL{}},
	text={\DPLL},
	sort={DPLL},
}
@index{index:DPLL:algorithm,
	name={algorithm},
	text={\DPLL algorithm},
	parent={index:DPLL},
}
@index{index:DPLL:trail,
	name={trail},
	text={\DPLL trail},
	parent={index:DPLL},
}
@index{index:DPLL:decision-rule,
	name={decision rule},
	text={\DPLL decision rule},
	parent={index:DPLL},
}
@index{index:DPLL:backtracking,
	name={backtracking},
	text={\DPLL backtracking},
	parent={index:DPLL},
}

@index{index:enumeration,
	name={Enumeration},
	text={Enumeration},
}

@index{index:groebner-bases,
	name={Gröbner basis},
	text={Gröbner basis},
}

@index{index:icp,
	name={Interval constraint propagation},
	text={Interval constraint propagation},
}

@index{index:integer-problem,
	name={Integer problems},
	text={Integer problems},
}

@index{index:integral-domain,
	name={Integral domain},
	text={integral domain},
}

@index{index:indexed-sets,
	name={Indexed sets},
	text={Indexed sets},
}

@index{index:linearization,
	name={Linearization},
	text={linearization},
}

@index{index:logic,
	name={Logic},
}

@index{index:logic:first-order,
	name={first-order},
	text={First-order logic},
	parent={index:logic},
}

@index{index:logic:propositional,
	name={propositional},
	text={propositional logic},
	parent={index:logic},
}

@index{index:mcsat,
	name={\MCSAT{}},
	text={\MCSAT},
	sort={mcsat},
}

@index{index:mcsat:explanation-function,
	name={\MCSAT explanation function},
	text={\MCSAT explanation function},
	sort={mcsat explanation function},
}

@index{index:mcsat:explanation:cad,
	name={CAD},
	text={CAD explanation function},
	parent={index:mcsat:explanation-function},
}

@index{index:mcsat:explanation:composition,
	name={composition},
	text={composition of explanation function},
	parent={index:mcsat:explanation-function},
}

@index{index:mcsat:explanation:fm,
	name={Fourier--Motzkin},
	text={Fourier--Motzkin explanation function},
	parent={index:mcsat:explanation-function},
}

@index{index:mcsat:explanation:icp,
	name={interval constraint propagation},
	parent={index:mcsat:explanation-function},
}

@index{index:mcsat:explanation:onecell,
	name={OneCell},
	text={OneCell explanation function},
	parent={index:mcsat:explanation-function},
}

@index{index:mcsat:explanation:vs,
	name={virtual substitution},
	text={virtual substitution explanation function},
	parent={index:mcsat:explanation-function},
}

@index{index:mcsat-equivalency-cdclt,
	name={equivalency to \CDCLST{}},
	text={\MCSAT equivalency to \CDCLST},
	sort={mcsat equivalency},
	parent={index:mcsat},
}

@index{index:mcsat-implementation,
	name={implementation},
	text={\MCSAT implementation},
	sort={mcsat implementation},
	parent={index:mcsat},
}

@index{index:mcsat-intuition,
	name={intuition},
	text={\MCSAT intuition},
	sort={mcsat intuition},
	parent={index:mcsat},
}

@index{index:mcsat-proof-complexity,
	name={proof complexity},
	text={\MCSAT proof complexity},
	sort={mcsat proof complexity},
	parent={index:mcsat},
}

@index{index:mcsat-proof-system,
	name={proof system},
	text={\MCSAT proof system},
	sort={mcsat proof system},
	parent={index:mcsat},
}

@index{index:mcsat:assignment-finder,
	name={\MCSAT assignment finder},
	text={\MCSAT assignment finder},
	sort={mcsat assignment finder},
}
@index{index:mcsat:assignment-finder:rri,
	name={real root isolation},
	text={\MCSAT assignment finder by real root isolation},
	parent={index:mcsat:assignment-finder},
}
@index{index:mcsat:assignment-finder:SMT,
	name={SMT-based},
	text={\MCSAT SMT-based assignment finder},
	parent={index:mcsat:assignment-finder},
}


@index{index:mcsat:trail,
	name={trail},
	text={\MCSAT trail},
	parent={index:mcsat},
}

@index{index:mcsat:state,
	name={state},
	text={\MCSAT state},
	parent={index:mcsat},
}

@index{index:mcsat:evaluation,
	name={evaluation of literals},
	text={\MCSAT evaluation of literals},
	parent={index:mcsat},
}

@index{index:mcsat:boolean-reasoning,
	name={Boolean reasoning},
	parent={index:mcsat},
}

@index{index:mcsat:theory-reasoning,
	name={theory reasoning},
	parent={index:mcsat},
}

@index{index:mcsat:conflict-analysis,
	name={conflict analysis},
	parent={index:mcsat},
}
@index{index:mcsat:finite-basis-property,
	name={finite basis property},
	parent={index:mcsat},
}
@index{index:mcsat:infeasibility,
	name={infeasibility},
	parent={index:mcsat},
}
@index{index:mcsat:intuition,
	name={intuition},
	parent={index:mcsat},
}
@index{index:mcsat:minisat,
	name={embedding in MiniSAT},
	parent={index:mcsat},
}
@index{index:mcsat:mrsat,
	name={Model-refining satisfiability calculus},
}
@index{index:mcsat:proof-system,
	name={proof system},
	parent={index:mcsat},
}

@index{index:minimal-infeasible-subset,
	name={Minimal infeasible subset},
}
@index{index:mis-by-set-cover,
	name={by set cover},
	parent={index:minimal-infeasible-subset},
}

@index{index:negation-normal-form,
	name={Negation},
	text={Negation normal form},
	parent={index:normal-form},
}

@index{index:non-chronological-backtracking,
	name={non-chronological},
	text={Non-chronological backtracking},
	parent={index:backtracking},
}

@index{index:nonlinear-real-arithmetic,
	name={Nonlinear real arithmetic},
}

@index{index:normal-form,
	name={Normal form},
	text={Normal form},
}

@index{index:numbers,
	name={Numbers~$\N,\Q,\R,\Rat,\Z$},
	text={Numbers},
}

@index{index:numerical-algos,
	name={Numerical algorithms},
	text={Numerical algorithms},
}


@index{index:optimization,
	name={Optimization},
}
@index{index:mcsat:optimization,
	name={by \MCSAT{}},
	sort={by mcsat},
	parent={index:optimization},
}
@index{index:cad:optimization,
	name={by CAD},
	parent={index:optimization},
}

@index{index:polynomial,
	name={Polynomial},
	text={Polynomial},
}

@index{index:polynomial-multivariate,
	name={Multivariate},
	text={Multivariate polynomial},
	parent={index:polynomial},
}

@index{index:polynomial-univariate,
	name={Univariate},
	text={Univariate polynomial},
	parent={index:polynomial},
}

@index{index:powerset,
	name={Powerset~\Powerset},
	text={Powerset},
}

@index{index:prenex-normal-form,
	name={Prenex},
	text={Prenex normal form},
	parent={index:normal-form},
}

@index{index:projection,
	name={Projection operator},
	text={Projection operator},
}

@index{index:projection-collins-first,
	name={Collins' first},
	text={Collins' first projection operator},
	parent={index:projection},
}

@index{index:projection-collins-second,
	name={Collins' second},
	text={Collins' second projection operator},
	parent={index:projection},
}

@index{index:projection-collins-third,
	name={Collins'},
	text={Collins' projection operator},
	parent={index:projection},
}

@index{index:projection-hong,
	name={Hong's},
	text={Hong's projection operator},
	parent={index:projection},
}

@index{index:projection-mccallum,
	name={McCallum's},
	text={McCallum's projection operator},
	parent={index:projection},
}

@index{index:projection-brown,
	name={Brown's},
	text={Brown's projection operator},
	parent={index:projection},
}

@index{index:projection-lazard,
	name={Lazard's},
	text={Lazard's projection operator},
	parent={index:projection},
}
@index{index:projection:restricted,
	name={restricted},
	text={restricted projection operator},
	parent={index:projection},
}
@index{index:projection:semi-restricted,
	name={semi-restricted},
	text={semi-restricted projection operator},
	parent={index:projection},
}
@index{index:other-projections,
	name={other},
	text={other projection operators},
	parent={index:projection},
}
@index{index:local-projections,
	name={local},
	text={local projection operators},
	parent={index:projection},
}


@index{index:proof,
	name={Proof~$\Proof$},
	text={Proof},
}
@index{index:proof-complexity,
	name={complexity},
	text={Proof complexity},
	parent={index:proof},
}
@index{index:proof-rule,
	name={Proof rule},
	text={Proof rule},
}
@index{index:proof-rule:soundness,
	name={soundness},
	text={Soundness},
	parent={index:proof-rule},
}

@index{index:proof-rule-composition,
	name={composition},
	text={Proof rule composition},
	parent={index:proof-rule},
}

@index{index:proof-rule-with-input,
	name={with input},
	text={Proof rule with input},
	parent={index:proof-rule},
}

@index{index:proof-system,
	name={Proof system~$\ProofSystem$},
	text={Proof system},
}

@index{index:proof-system:algorithmic-equivalency,
	name={algorithmic equivalency},
	parent={index:proof-system},
}

@index{index:proof-system:cad,
	name={CAD},
	parent={index:proof-system},
}

@index{index:proof-system:cdclt,
	name={\CDCLT{}},
	text={\CDCLT proof system},
	parent={index:proof-system},
	sort={cdclta},
}

@index{index:proof-system:cdclst,
	name={\CDCLST{}},
	text={\CDCLST proof system},
	parent={index:proof-system},
	sort={cdcltb},
}

@index{index:proof-system:rest,
	name={\ResST{}},
	parent={index:proof-system},
	sort={rest},
}

@index{index:proof-system:mcsat,
	name={\MCSAT{}},
	parent={index:proof-system},
	sort={mcsat},
}

@index{index:proof-system:simulation,
	name={simulation},
	parent={index:proof-system},
}

@index{index:proof-system:soundness,
	name={soundness},
	parent={index:proof-system},
}

@index{index:proof-system:state-equivalence,
	name={state equivalence},
	parent={index:proof-system},
}

@index{index:proof-system:trail-equivalence,
	name={trail equivalence},
	parent={index:proof-system},
}

@index{index:real-algebraic-number,
	name={Real algebraic number},
	text={real algebraic number},
}

@index{index:ran:comparison,
	name={comparison},
	text={Real algebraic number comparison},
	parent={index:real-algebraic-number},
}

@index{index:ran:evaluation,
	name={evaluation},
	text={Real algebraic number evaluation},
	parent={index:real-algebraic-number},
}

@index{index:ran:partial-evaluation,
	name={partial evaluation},
	parent={index:real-algebraic-number},
}

@index{index:ran:real-root-isolation,
	name={real root isolation},
	text={Real algebraic number real root isolation},
	parent={index:real-algebraic-number},
}

@index{index:ran:refinement,
	name={refinement},
	text={Real algebraic number refinement},
	parent={index:real-algebraic-number},
}

@index{index:ran:representation,
	name={representation},
	text={Real algebraic number representation},
	parent={index:real-algebraic-number},
}

@index{index:ran:repr-indexed,
	name={indexed representation},
	text={Real algebraic number in indexed representation},
	parent={index:real-algebraic-number},
}

@index{index:ran:repr-thom,
	name={Thom representation},
	text={Real algebraic number in Thom representation},
	parent={index:real-algebraic-number},
}

@index{index:ran:sampling,
	name={sampling},
	text={Real algebraic number sampling},
	parent={index:real-algebraic-number},
}

@index{index:real-roots,
	name={Real roots},
	text={Real roots},
}
@index{index:real-root-isolation,
	name={isolation},
	text={real root isolation},
	parent={index:real-roots},
}

@index{index:reducta,
	name={Reducta},
	text={Reducta},
}

@index{index:resolution,
	name={Resolution},
	text={resolution},
}

@index{index:resolution-rule,
	name={rule},
	text={resolution rule},
	parent={index:resolution},
}

@index{index:resolution-proof-system,
	name={proof system},
	text={resolution proof system},
	parent={index:resolution},
}
@index{index:proof-system:resolution,
	name={resolution},
	text={resolution proof system},
	parent={index:proof-system},
}

@index{index:restart,
	name={Restart},
	text={restart},
}

@index{index:resultant,
	name={Resultant},
	text={Resultant},
}
@index{index:resultant-rule,
	name={rule},
	parent={index:resultant},
}

@index{index:ring,
	name={Ring},
	text={Ring},
}

@index{index:satisfiability,
	name={Satisfiability},
}

@index{index:semantic-deduction,
	name={Semantic deduction},
	text={semantic deduction},
}

@index{index:sequence,
	name={Sequence},
	text={sequence},
}

@index{index:set-cover,
	name={Set cover},
}

@index{index:sign-condition,
	name={Sign condition},
	text={sign condition},
}

@index{index:sign-invariant-region,
	name={Sign invariant region},
}

@index{index:SMT,
	name={Satisfiability modulo theories},
}
@index{index:SMT-compliancy,
	name={compliancy},
	parent={index:SMT},
}
@index{index:eager-SMT-solving,
	name={eager solving},
	text={eager SMT solving},
	parent={index:SMT},
}
@index{index:lazy-SMT-solving,
	name={lazy solving},
	text={lazy SMT solving},
	parent={index:SMT},
}


@index{index:theory-concretization,
	name={Theory concretization},
}

@index{index:total-order,
	name={Total order},
	text={Total order},
}

@index{index:tseitin-transformation,
	name={Tseitin's transformation},
	text={Tseitin's transformation},
}

@index{index:variable,
	name={Variable},
	text={Variable},
}

@index{index:variable-assignment,
	name={assignment~$\A$},
	text={Variable assignment},
	parent={index:variable},
}

@index{index:variable-order,
	name={ordering},
	text={variable ordering},
	parent={index:variable},
}

@index{index:cad:variable-ordering,
	name={in CAD},
	parent={index:variable-order},
	sort={cad},
}
@index{index:mcsat:variable-ordering,
	name={in \MCSAT{}},
	parent={index:variable-order},
	sort={mcsat},
}

@index{index:vs,
	name={Virtual substitution},
	text={Virtual substitution},
}